export class AddNullables1693838359426 {
    name = 'AddNullables1693838359426';
    async up(queryRunner) {
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingStart\` \`bookingStart\` varchar(255) NULL`);
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingEnd\` \`bookingEnd\` varchar(255) NULL`);
        await queryRunner.query(`ALTER TABLE \`ServiceConfiguration\` CHANGE \`configuration\` \`configuration\` text NULL`);
    }
    async down(queryRunner) {
        await queryRunner.query(`ALTER TABLE \`ServiceConfiguration\` CHANGE \`configuration\` \`configuration\` text NOT NULL`);
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingEnd\` \`bookingEnd\` varchar(255) NOT NULL`);
        await queryRunner.query(`ALTER TABLE \`Experiment\` CHANGE \`bookingStart\` \`bookingStart\` varchar(255) NOT NULL`);
    }
}
//# sourceMappingURL=1693838359426-AddNullables.js.map